Subject: Re: bug#74948: guix pack docker environment variable setting

From: Ludovic Courtès <[email-masked]>
Date: Wed, 08 Jan 2025 00:01:25 +0100

Hi,

Simon Josefsson <[email-masked]> skribis:

> Would a new `guix pack --setenv HOME=/` parameter be useful?
>
> Such a parameter could be docker-specific and documented in
> --help-docker-format.  If other formats support setting environment
> variables too, it could instead be a normal `guix pack` parameter.
> Maybe AppImage support setting environment variables too?

That would definitely be useful, yes.  The squashfs format (for
Singularity/Apptainer) supports it too, maybe AppImage as well.

Ludo’.